init offset = 1

init python:
    def _toggle_quick_menu_q():

        if renpy.has_screen('quick_menu'):
            if not hasattr(store, 'quick_menu'):
                setattr(store, 'quick_menu', True)
                renpy.show_screen('quick_menu')
                setattr(store, 'suppress_overlay', False)
            else:
                if quick_menu == True:
                    setattr(store, 'quick_menu', False)
                    renpy.hide_screen('quick_menu')
                else:
                    setattr(store, 'quick_menu', True)
                    renpy.show_screen('quick_menu')
                    setattr(store, 'suppress_overlay', False)

    config.keymap[ 'toggle_quick_menu_q' ] = [ 'K_q' ]
    config.underlay.append(renpy.Keymap(toggle_quick_menu_q = Function(_toggle_quick_menu_q)))


init 1:
    style choice_button:
        background None

    style choice_button_text:
        #font "DejaVuSans.ttf"
        idle_color "#FFF"
        hover_color "#00FF00"
        insensitive_color "#808080FF"
        idle_outlines [ (absolute(5), "#FFF0", absolute(1), absolute(1)), (absolute(3), "#000", absolute(1), absolute(1)) ]
        hover_outlines [ (absolute(5), "#0F08", absolute(1), absolute(1)), (absolute(3), "#000", absolute(1), absolute(1)) ]
        insensitive_outlines [ (absolute(5), "#808080C0", absolute(1), absolute(1)), (absolute(3), "#000", absolute(1), absolute(1)) ]

screen choice(items):
    style_prefix "choice"
    vbox:
        spacing 10
        yalign 0.65
        for n, i in enumerate(items, 1):
            key str(n) action i.action
            key "K_KP" + str(n) action i.action
            textbutton str(n) + ". " + i.caption action i.action

screen save():

    tag menu

    use file_slots(_("Save"))

    vbox:
        align(0.28, 0.185)
        text "{color=#fff}Save Name:{/color}"
        input:
            yalign 0.05
            value VariableInputValue("save_name")

screen preferences():

    tag menu

    use game_menu(_("Preferences")):

        vbox:

            hbox:
                box_wrap True

                if renpy.variant("pc") or renpy.variant("web"):

                    vbox:
                        style_prefix "radio"
                        label _("Display")
                        textbutton _("Window") action Preference("display", "window")
                        textbutton _("Fullscreen") action Preference("display", "fullscreen")

                vbox:
                    style_prefix "radio"
                    label _("Rollback Side")
                    textbutton _("Disable") action Preference("rollback side", "disable")
                    textbutton _("Left") action Preference("rollback side", "left")
                    textbutton _("Right") action Preference("rollback side", "right")

                vbox:
                    style_prefix "check"
                    label _("Skip")
                    textbutton _("Unseen Text") action Preference("skip", "toggle")
                    textbutton _("After Choices") action Preference("after choices", "toggle")
                    textbutton _("Transitions") action InvertSelected(Preference("transitions", "toggle"))

                #vbox:
                    #style_prefix "radio"
                    #label _("Next Scene Button")
                    #textbutton ("On") action SetVariable("persistent.nextbutton", 1)
                    #textbutton ("Off") action SetVariable("persistent.nextbutton", 0)

                ## Additional vboxes of type "radio_pref" or "check_pref" can be
                ## added here, to add additional creator-defined preferences.

            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:

                    label _("Text Speed")

                    bar value Preference("text speed")

                    label _("Auto-Forward Time")

                    bar value Preference("auto-forward time")

                    $ percent_value = int(persistent.textbox_opacity * 100)
                    label _("Textbox Opacity ([percent_value]%)")
                    bar value FieldValue(persistent, "textbox_opacity", range=1.0, style="slider")

                    # Text size
                    label _("Text Size: %s" % (persistent.pref_text_size))

                    bar value FieldValue(object=persistent, field='pref_text_size', range=(gui.text_size * 2), max_is_zero=False, style=u'slider', offset=0, step=1)

                    null height 20
                    imagebutton auto "common/patreon_%s.jpg" action OpenURL("https://www.patreon.com/KKpotato69")
                    null height 20
                    imagebutton auto "common/discord_%s.png" action OpenURL("https://discord.gg/fNAhbpRM5X")

                vbox:

                    if config.has_music:
                        label _("Music Volume")

                        hbox:
                            bar value Preference("music volume")

                    if config.has_sound:

                        label _("Sound Volume")

                        hbox:
                            bar value Preference("sound volume")

                            if config.sample_sound:
                                textbutton _("Test") action Play("sound", config.sample_sound)


                    if config.has_voice:
                        label _("Voice Volume")

                        hbox:
                            bar value Preference("voice volume")

                            if config.sample_voice:
                                textbutton _("Test") action Play("voice", config.sample_voice)

                    if config.has_music or config.has_sound or config.has_voice:
                        null height gui.pref_spacing

                        textbutton _("Mute All"):
                            action Preference("all mute", "toggle")
                            style "mute_all_button"
